Subject: Re: bug#35887: 26.1; global-eldoc-mode minibuffer noise is very annoying

From: Juri Linkov <[email-masked]>
Date: Thu, 06 Jun 2019 00:06:22 +0300

>> Would you consider an application like Firefox operational if
>> you launch it for the first time in your live, spin your mouse-wheel
>> to find out whether there's something below the part you see on your
>> screen and get a bell ringing and the information that you are at the
>> end of a thing called "buffer"?  Or that after selecting some text
>> with the mouse you just have "Mark set"?
>
> It almost feels like the general approach for a long time has been to
> compensate the general "clunkiness" (or at least peculiarity) of some UI
> corners with extra verbosity.
>
> It's like the program is saying "it's okay if we're doing unusual things,
> but we'll tell you everything we're doing along the way".
>
> I don't find it jarring myself, but we could probably do better.

Sometimes such verbosity is justified.  For example, when on exiting
Isearch displays a reminder "Mark saved where search started".